From 464e70abc9197f6d082d129d61fe44bc58353ace Mon Sep 17 00:00:00 2001
From: Alexander Strange <astrange@ithinksw.com>
Date: Mon, 1 Sep 2008 14:27:28 -0400
Subject: [PATCH] fix darwin speed regression

---
 configure |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/configure b/configure
index c8bbd51..2dc316a 100755
--- a/configure
+++ b/configure
@@ -192,6 +192,9 @@ case $host_os in
     SYS="MACOSX"
     CFLAGS="$CFLAGS -falign-loops=16"
     LDFLAGS="$LDFLAGS -lm -lmx"
+    if [ "$pic" = "no" ]; then
+    	CFLAGS="$CFLAGS -mdynamic-no-pic"
+    fi
     ;;
   freebsd*)
     SYS="FREEBSD"
-- 
1.5.5.1

